IF(ESP_PLATFORM)
idf_component_register(SRCS "stateManagement.c"
                    INCLUDE_DIRS "include")
else()
    add_library(stateManagement STATIC
                stateManagement.c
    )
    target_include_directories(stateManagement PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/include)
endif()